@import url('https://fonts.googleapis.com/css2?family=Karla&display=swap');

:root {
  --primary-color: #1f3538;
  --border-radius: 5px;
}
html {
  box-sizing: border-box;
}

body {
  font-family: 'Karla', sans-serif;
  margin: 0;
  min-height: 100vh;
  background-color: #1f3538;
  background-color: #1f3538;
  background-image: url("data:image/svg+xml,%3Csvg width='42' height='44' viewBox='0 0 42 44' xmlns='http://www.w3.org/2000/svg'%3E%3Cg id='Page-1' fill='none' fill-rule='evenodd'%3E%3Cg id='brick-wall' fill='%23ef871b' fill-opacity='0.4'%3E%3Cpath d='M0 0h42v44H0V0zm1 1h40v20H1V1zM0 23h20v20H0V23zm22 0h20v20H22V23z'/%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
}

h1 {
  color: white;
  padding: 20px;
  background: rgba(0, 0, 0, 0.5);
  border-radius: var(--border-radius);
  cursor: pointer;
  text-align: center;
  text-transform: uppercase;
  width: 275px;
  margin: 20px auto 10px;
}

h1:hover {
  background: rgba(0, 0, 0, 0.8)
}

/* Bookmarks */

.container {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.item {
  background: rgba(0, 0, 0, 0.5);
  color: white;
  border-radius: var(--border-radius);
  padding: 20px;
  margin: 10px;
}

.item:hover {
  background: rgba(0, 0, 0, 0.6) ;
}

a {
  font-size: 20px;
  font-weight: bold;
  text-transform: uppercase;
}

a:link,
a:visited {
  color: white;
  text-decoration: none;
}

a:hover,
a:active {
  text-decoration: underline;
}

.name {
  margin-top: 20px;
  margin-right: 20px;
}


.fa-regular {
  float: right;
  cursor: pointer;
  z-index: 2;
}

.name {
  margin-top: 20px;
  margin-right: 20px;
}
.name img {
  height: 20px;
  width: 20px;
  vertical-align: sub;
  margin-right: 5px;
}

/* Modal */
.modal-container {
  background: rgba(0, 0, 0, 0.6);
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}

.show-modal {
  display: flex;
  justify-content: center;
  align-items: center;
}



.modal {
  background: white;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.8);
  max-width: 95%;
  width: 500px;
  animation: modalopen 2s;
}

@keyframes modalopen {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}


.close-icon {
  float: right;
  color: white;
  font-size: 24px;
  position: relative;
  top: 13px;
  right: 13px;
  cursor: pointer;

}

.modal-header {
  background: var(--primary-color);
  color: white;
  padding: 15px;
}

h3 {
  margin: 0;
}

.modal-content {
  padding: 20px;
  background: whitesmoke;
}

/* Form */

.form-group {
  height: 55px;
}

.form-input {
  width: 97%;
  padding: 5px;
  border: 2px solid var(--primary-color);
  border-radius: var(--border-radius);
  display: block;
  outline: none;
}

.form-label {
  color: var(--primary-color);
  display: block;
}

button {
  cursor: pointer;
  color: white;
  background: var(--primary-color);
  height: 30px;
  width: 100px;
  border: none;
  border-radius: var(--border-radius);
  margin-top: 10px;
}


button:hover {
  filter: brightness(110%);
}

button:focus {
  outline: none;
}


/* Media query: large smartphone */
@media screen and (max-width: 600px) {
  .container {
    flex-direction: column;
  }
}